### A free/open-source library for quantitative finance

Classes
ql/math/solvers1d/finitedifferencenewtonsafe.hpp File Reference

Safe (bracketed) Newton 1-D solver with finite difference derivatives. More...

`#include <ql/math/solver1d.hpp>`
Include dependency graph for finitedifferencenewtonsafe.hpp:

## Classes

class | FiniteDifferenceNewtonSafe
| safe Newton 1-D solver with finite difference derivatives More...

## Detailed Description

Safe (bracketed) Newton 1-D solver with finite difference derivatives.